package com.chinaitop.depot.intelligent.basicdata.model;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class TKtinfoExample {
    /**
     * t_ktinfo
     */
    protected String orderByClause;

    /**
     * t_ktinfo
     */
    protected boolean distinct;

    /**
     * t_ktinfo
     */
    protected List<Criteria> oredCriteria;

    public TKtinfoExample() {
        oredCriteria = new ArrayList<Criteria>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    /**
     * t_ktinfo 2019-03-22
     */
    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<Criterion>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(String value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(String value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(String value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(String value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(String value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(String value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLike(String value) {
            addCriterion("id like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotLike(String value) {
            addCriterion("id not like", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<String> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<String> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(String value1, String value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(String value1, String value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNull() {
            addCriterion("org_id is null");
            return (Criteria) this;
        }

        public Criteria andOrgIdIsNotNull() {
            addCriterion("org_id is not null");
            return (Criteria) this;
        }

        public Criteria andOrgIdEqualTo(String value) {
            addCriterion("org_id =", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotEqualTo(String value) {
            addCriterion("org_id <>", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThan(String value) {
            addCriterion("org_id >", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdGreaterThanOrEqualTo(String value) {
            addCriterion("org_id >=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThan(String value) {
            addCriterion("org_id <", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLessThanOrEqualTo(String value) {
            addCriterion("org_id <=", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdLike(String value) {
            addCriterion("org_id like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotLike(String value) {
            addCriterion("org_id not like", value, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdIn(List<String> values) {
            addCriterion("org_id in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotIn(List<String> values) {
            addCriterion("org_id not in", values, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdBetween(String value1, String value2) {
            addCriterion("org_id between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andOrgIdNotBetween(String value1, String value2) {
            addCriterion("org_id not between", value1, value2, "orgId");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIsNull() {
            addCriterion("vdevcode is null");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIsNotNull() {
            addCriterion("vdevcode is not null");
            return (Criteria) this;
        }

        public Criteria andVdevcodeEqualTo(String value) {
            addCriterion("vdevcode =", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotEqualTo(String value) {
            addCriterion("vdevcode <>", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeGreaterThan(String value) {
            addCriterion("vdevcode >", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeGreaterThanOrEqualTo(String value) {
            addCriterion("vdevcode >=", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLessThan(String value) {
            addCriterion("vdevcode <", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLessThanOrEqualTo(String value) {
            addCriterion("vdevcode <=", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeLike(String value) {
            addCriterion("vdevcode like", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotLike(String value) {
            addCriterion("vdevcode not like", value, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeIn(List<String> values) {
            addCriterion("vdevcode in", values, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotIn(List<String> values) {
            addCriterion("vdevcode not in", values, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeBetween(String value1, String value2) {
            addCriterion("vdevcode between", value1, value2, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevcodeNotBetween(String value1, String value2) {
            addCriterion("vdevcode not between", value1, value2, "vdevcode");
            return (Criteria) this;
        }

        public Criteria andVdevnameIsNull() {
            addCriterion("vdevname is null");
            return (Criteria) this;
        }

        public Criteria andVdevnameIsNotNull() {
            addCriterion("vdevname is not null");
            return (Criteria) this;
        }

        public Criteria andVdevnameEqualTo(String value) {
            addCriterion("vdevname =", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotEqualTo(String value) {
            addCriterion("vdevname <>", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameGreaterThan(String value) {
            addCriterion("vdevname >", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameGreaterThanOrEqualTo(String value) {
            addCriterion("vdevname >=", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameLessThan(String value) {
            addCriterion("vdevname <", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameLessThanOrEqualTo(String value) {
            addCriterion("vdevname <=", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameLike(String value) {
            addCriterion("vdevname like", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotLike(String value) {
            addCriterion("vdevname not like", value, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameIn(List<String> values) {
            addCriterion("vdevname in", values, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotIn(List<String> values) {
            addCriterion("vdevname not in", values, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameBetween(String value1, String value2) {
            addCriterion("vdevname between", value1, value2, "vdevname");
            return (Criteria) this;
        }

        public Criteria andVdevnameNotBetween(String value1, String value2) {
            addCriterion("vdevname not between", value1, value2, "vdevname");
            return (Criteria) this;
        }

        public Criteria andIdevtdhIsNull() {
            addCriterion("idevtdh is null");
            return (Criteria) this;
        }

        public Criteria andIdevtdhIsNotNull() {
            addCriterion("idevtdh is not null");
            return (Criteria) this;
        }

        public Criteria andIdevtdhEqualTo(Integer value) {
            addCriterion("idevtdh =", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhNotEqualTo(Integer value) {
            addCriterion("idevtdh <>", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhGreaterThan(Integer value) {
            addCriterion("idevtdh >", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhGreaterThanOrEqualTo(Integer value) {
            addCriterion("idevtdh >=", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhLessThan(Integer value) {
            addCriterion("idevtdh <", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhLessThanOrEqualTo(Integer value) {
            addCriterion("idevtdh <=", value, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhIn(List<Integer> values) {
            addCriterion("idevtdh in", values, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhNotIn(List<Integer> values) {
            addCriterion("idevtdh not in", values, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhBetween(Integer value1, Integer value2) {
            addCriterion("idevtdh between", value1, value2, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andIdevtdhNotBetween(Integer value1, Integer value2) {
            addCriterion("idevtdh not between", value1, value2, "idevtdh");
            return (Criteria) this;
        }

        public Criteria andSitecodeIsNull() {
            addCriterion("sitecode is null");
            return (Criteria) this;
        }

        public Criteria andSitecodeIsNotNull() {
            addCriterion("sitecode is not null");
            return (Criteria) this;
        }

        public Criteria andSitecodeEqualTo(String value) {
            addCriterion("sitecode =", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotEqualTo(String value) {
            addCriterion("sitecode <>", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeGreaterThan(String value) {
            addCriterion("sitecode >", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeGreaterThanOrEqualTo(String value) {
            addCriterion("sitecode >=", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLessThan(String value) {
            addCriterion("sitecode <", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLessThanOrEqualTo(String value) {
            addCriterion("sitecode <=", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeLike(String value) {
            addCriterion("sitecode like", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotLike(String value) {
            addCriterion("sitecode not like", value, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeIn(List<String> values) {
            addCriterion("sitecode in", values, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotIn(List<String> values) {
            addCriterion("sitecode not in", values, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeBetween(String value1, String value2) {
            addCriterion("sitecode between", value1, value2, "sitecode");
            return (Criteria) this;
        }

        public Criteria andSitecodeNotBetween(String value1, String value2) {
            addCriterion("sitecode not between", value1, value2, "sitecode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIsNull() {
            addCriterion("vcfcode is null");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIsNotNull() {
            addCriterion("vcfcode is not null");
            return (Criteria) this;
        }

        public Criteria andVcfcodeEqualTo(String value) {
            addCriterion("vcfcode =", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotEqualTo(String value) {
            addCriterion("vcfcode <>", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeGreaterThan(String value) {
            addCriterion("vcfcode >", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeGreaterThanOrEqualTo(String value) {
            addCriterion("vcfcode >=", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLessThan(String value) {
            addCriterion("vcfcode <", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLessThanOrEqualTo(String value) {
            addCriterion("vcfcode <=", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeLike(String value) {
            addCriterion("vcfcode like", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotLike(String value) {
            addCriterion("vcfcode not like", value, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeIn(List<String> values) {
            addCriterion("vcfcode in", values, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotIn(List<String> values) {
            addCriterion("vcfcode not in", values, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeBetween(String value1, String value2) {
            addCriterion("vcfcode between", value1, value2, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andVcfcodeNotBetween(String value1, String value2) {
            addCriterion("vcfcode not between", value1, value2, "vcfcode");
            return (Criteria) this;
        }

        public Criteria andCurrenttempIsNull() {
            addCriterion("currenttemp is null");
            return (Criteria) this;
        }

        public Criteria andCurrenttempIsNotNull() {
            addCriterion("currenttemp is not null");
            return (Criteria) this;
        }

        public Criteria andCurrenttempEqualTo(BigDecimal value) {
            addCriterion("currenttemp =", value, "currenttemp");
            return (Criteria) this;
        }

        public Criteria andCurrenttempNotEqualTo(BigDecimal value) {
            addCriterion("currenttemp <>", value, "currenttemp");
            return (Criteria) this;
        }

        public Criteria andCurrenttempGreaterThan(BigDecimal value) {
            addCriterion("currenttemp >", value, "currenttemp");
            return (Criteria) this;
        }

        public Criteria andCurrenttempGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("currenttemp >=", value, "currenttemp");
            return (Criteria) this;
        }

        public Criteria andCurrenttempLessThan(BigDecimal value) {
            addCriterion("currenttemp <", value, "currenttemp");
            return (Criteria) this;
        }

        public Criteria andCurrenttempLessThanOrEqualTo(BigDecimal value) {
            addCriterion("currenttemp <=", value, "currenttemp");
            return (Criteria) this;
        }

        public Criteria andCurrenttempIn(List<BigDecimal> values) {
            addCriterion("currenttemp in", values, "currenttemp");
            return (Criteria) this;
        }

        public Criteria andCurrenttempNotIn(List<BigDecimal> values) {
            addCriterion("currenttemp not in", values, "currenttemp");
            return (Criteria) this;
        }

        public Criteria andCurrenttempBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("currenttemp between", value1, value2, "currenttemp");
            return (Criteria) this;
        }

        public Criteria andCurrenttempNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("currenttemp not between", value1, value2, "currenttemp");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeIsNull() {
            addCriterion("currentmode is null");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeIsNotNull() {
            addCriterion("currentmode is not null");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeEqualTo(Integer value) {
            addCriterion("currentmode =", value, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeNotEqualTo(Integer value) {
            addCriterion("currentmode <>", value, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeGreaterThan(Integer value) {
            addCriterion("currentmode >", value, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeGreaterThanOrEqualTo(Integer value) {
            addCriterion("currentmode >=", value, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeLessThan(Integer value) {
            addCriterion("currentmode <", value, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeLessThanOrEqualTo(Integer value) {
            addCriterion("currentmode <=", value, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeIn(List<Integer> values) {
            addCriterion("currentmode in", values, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeNotIn(List<Integer> values) {
            addCriterion("currentmode not in", values, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeBetween(Integer value1, Integer value2) {
            addCriterion("currentmode between", value1, value2, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentmodeNotBetween(Integer value1, Integer value2) {
            addCriterion("currentmode not between", value1, value2, "currentmode");
            return (Criteria) this;
        }

        public Criteria andCurrentspeedIsNull() {
            addCriterion("currentspeed is null");
            return (Criteria) this;
        }

        public Criteria andCurrentspeedIsNotNull() {
            addCriterion("currentspeed is not null");
            return (Criteria) this;
        }

        public Criteria andCurrentspeedEqualTo(BigDecimal value) {
            addCriterion("currentspeed =", value, "currentspeed");
            return (Criteria) this;
        }

        public Criteria andCurrentspeedNotEqualTo(BigDecimal value) {
            addCriterion("currentspeed <>", value, "currentspeed");
            return (Criteria) this;
        }

        public Criteria andCurrentspeedGreaterThan(BigDecimal value) {
            addCriterion("currentspeed >", value, "currentspeed");
            return (Criteria) this;
        }

        public Criteria andCurrentspeedGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("currentspeed >=", value, "currentspeed");
            return (Criteria) this;
        }

        public Criteria andCurrentspeedLessThan(BigDecimal value) {
            addCriterion("currentspeed <", value, "currentspeed");
            return (Criteria) this;
        }

        public Criteria andCurrentspeedLessThanOrEqualTo(BigDecimal value) {
            addCriterion("currentspeed <=", value, "currentspeed");
            return (Criteria) this;
        }

        public Criteria andCurrentspeedIn(List<BigDecimal> values) {
            addCriterion("currentspeed in", values, "currentspeed");
            return (Criteria) this;
        }

        public Criteria andCurrentspeedNotIn(List<BigDecimal> values) {
            addCriterion("currentspeed not in", values, "currentspeed");
            return (Criteria) this;
        }

        public Criteria andCurrentspeedBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("currentspeed between", value1, value2, "currentspeed");
            return (Criteria) this;
        }

        public Criteria andCurrentspeedNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("currentspeed not between", value1, value2, "currentspeed");
            return (Criteria) this;
        }

        public Criteria andIntempIsNull() {
            addCriterion("intemp is null");
            return (Criteria) this;
        }

        public Criteria andIntempIsNotNull() {
            addCriterion("intemp is not null");
            return (Criteria) this;
        }

        public Criteria andIntempEqualTo(BigDecimal value) {
            addCriterion("intemp =", value, "intemp");
            return (Criteria) this;
        }

        public Criteria andIntempNotEqualTo(BigDecimal value) {
            addCriterion("intemp <>", value, "intemp");
            return (Criteria) this;
        }

        public Criteria andIntempGreaterThan(BigDecimal value) {
            addCriterion("intemp >", value, "intemp");
            return (Criteria) this;
        }

        public Criteria andIntempGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("intemp >=", value, "intemp");
            return (Criteria) this;
        }

        public Criteria andIntempLessThan(BigDecimal value) {
            addCriterion("intemp <", value, "intemp");
            return (Criteria) this;
        }

        public Criteria andIntempLessThanOrEqualTo(BigDecimal value) {
            addCriterion("intemp <=", value, "intemp");
            return (Criteria) this;
        }

        public Criteria andIntempIn(List<BigDecimal> values) {
            addCriterion("intemp in", values, "intemp");
            return (Criteria) this;
        }

        public Criteria andIntempNotIn(List<BigDecimal> values) {
            addCriterion("intemp not in", values, "intemp");
            return (Criteria) this;
        }

        public Criteria andIntempBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("intemp between", value1, value2, "intemp");
            return (Criteria) this;
        }

        public Criteria andIntempNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("intemp not between", value1, value2, "intemp");
            return (Criteria) this;
        }

        public Criteria andValarmstatueIsNull() {
            addCriterion("valarmstatue is null");
            return (Criteria) this;
        }

        public Criteria andValarmstatueIsNotNull() {
            addCriterion("valarmstatue is not null");
            return (Criteria) this;
        }

        public Criteria andValarmstatueEqualTo(Integer value) {
            addCriterion("valarmstatue =", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueNotEqualTo(Integer value) {
            addCriterion("valarmstatue <>", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueGreaterThan(Integer value) {
            addCriterion("valarmstatue >", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueGreaterThanOrEqualTo(Integer value) {
            addCriterion("valarmstatue >=", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueLessThan(Integer value) {
            addCriterion("valarmstatue <", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueLessThanOrEqualTo(Integer value) {
            addCriterion("valarmstatue <=", value, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueIn(List<Integer> values) {
            addCriterion("valarmstatue in", values, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueNotIn(List<Integer> values) {
            addCriterion("valarmstatue not in", values, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueBetween(Integer value1, Integer value2) {
            addCriterion("valarmstatue between", value1, value2, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andValarmstatueNotBetween(Integer value1, Integer value2) {
            addCriterion("valarmstatue not between", value1, value2, "valarmstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueIsNull() {
            addCriterion("vstatue is null");
            return (Criteria) this;
        }

        public Criteria andVstatueIsNotNull() {
            addCriterion("vstatue is not null");
            return (Criteria) this;
        }

        public Criteria andVstatueEqualTo(Integer value) {
            addCriterion("vstatue =", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueNotEqualTo(Integer value) {
            addCriterion("vstatue <>", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueGreaterThan(Integer value) {
            addCriterion("vstatue >", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueGreaterThanOrEqualTo(Integer value) {
            addCriterion("vstatue >=", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueLessThan(Integer value) {
            addCriterion("vstatue <", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueLessThanOrEqualTo(Integer value) {
            addCriterion("vstatue <=", value, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueIn(List<Integer> values) {
            addCriterion("vstatue in", values, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueNotIn(List<Integer> values) {
            addCriterion("vstatue not in", values, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueBetween(Integer value1, Integer value2) {
            addCriterion("vstatue between", value1, value2, "vstatue");
            return (Criteria) this;
        }

        public Criteria andVstatueNotBetween(Integer value1, Integer value2) {
            addCriterion("vstatue not between", value1, value2, "vstatue");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNull() {
            addCriterion("updatetime is null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIsNotNull() {
            addCriterion("updatetime is not null");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeEqualTo(Date value) {
            addCriterion("updatetime =", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotEqualTo(Date value) {
            addCriterion("updatetime <>", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThan(Date value) {
            addCriterion("updatetime >", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeGreaterThanOrEqualTo(Date value) {
            addCriterion("updatetime >=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThan(Date value) {
            addCriterion("updatetime <", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeLessThanOrEqualTo(Date value) {
            addCriterion("updatetime <=", value, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeIn(List<Date> values) {
            addCriterion("updatetime in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotIn(List<Date> values) {
            addCriterion("updatetime not in", values, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeBetween(Date value1, Date value2) {
            addCriterion("updatetime between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andUpdatetimeNotBetween(Date value1, Date value2) {
            addCriterion("updatetime not between", value1, value2, "updatetime");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNull() {
            addCriterion("remark is null");
            return (Criteria) this;
        }

        public Criteria andRemarkIsNotNull() {
            addCriterion("remark is not null");
            return (Criteria) this;
        }

        public Criteria andRemarkEqualTo(String value) {
            addCriterion("remark =", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotEqualTo(String value) {
            addCriterion("remark <>", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThan(String value) {
            addCriterion("remark >", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkGreaterThanOrEqualTo(String value) {
            addCriterion("remark >=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThan(String value) {
            addCriterion("remark <", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLessThanOrEqualTo(String value) {
            addCriterion("remark <=", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkLike(String value) {
            addCriterion("remark like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotLike(String value) {
            addCriterion("remark not like", value, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkIn(List<String> values) {
            addCriterion("remark in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotIn(List<String> values) {
            addCriterion("remark not in", values, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkBetween(String value1, String value2) {
            addCriterion("remark between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andRemarkNotBetween(String value1, String value2) {
            addCriterion("remark not between", value1, value2, "remark");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNull() {
            addCriterion("del_flag is null");
            return (Criteria) this;
        }

        public Criteria andDelFlagIsNotNull() {
            addCriterion("del_flag is not null");
            return (Criteria) this;
        }

        public Criteria andDelFlagEqualTo(Integer value) {
            addCriterion("del_flag =", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotEqualTo(Integer value) {
            addCriterion("del_flag <>", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThan(Integer value) {
            addCriterion("del_flag >", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagGreaterThanOrEqualTo(Integer value) {
            addCriterion("del_flag >=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThan(Integer value) {
            addCriterion("del_flag <", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagLessThanOrEqualTo(Integer value) {
            addCriterion("del_flag <=", value, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagIn(List<Integer> values) {
            addCriterion("del_flag in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotIn(List<Integer> values) {
            addCriterion("del_flag not in", values, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagBetween(Integer value1, Integer value2) {
            addCriterion("del_flag between", value1, value2, "delFlag");
            return (Criteria) this;
        }

        public Criteria andDelFlagNotBetween(Integer value1, Integer value2) {
            addCriterion("del_flag not between", value1, value2, "delFlag");
            return (Criteria) this;
        }
    }

    /**
     * t_ktinfo
     */
    public static class Criteria extends GeneratedCriteria {

        protected Criteria() {
            super();
        }
    }

    /**
     * t_ktinfo 2019-03-22
     */
    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}